curl --request GET \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/available \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/available"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/available', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accounts": [
{
"accountId": "acc_acme_pinnacle",
"sources": [
{
"storefrontId": 0,
"storefrontName": "<string>",
"sourceId": "<string>",
"sourceName": "<string>"
}
],
"status": "active",
"credentialId": "42",
"name": "Acme c/o Pinnacle",
"advertiser": "Acme Corp",
"billingProxy": "Pinnacle Media",
"house": "acme-corp.com",
"billing": "advertiser"
}
],
"total": 8,
"synced": true,
"billingOptions": {
"default": "<string>",
"supported": [
"<string>"
]
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}List available accounts
Discover accounts available to link to an advertiser from a specific sales agent.
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/available \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/available"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/available', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accounts": [
{
"accountId": "acc_acme_pinnacle",
"sources": [
{
"storefrontId": 0,
"storefrontName": "<string>",
"sourceId": "<string>",
"sourceName": "<string>"
}
],
"status": "active",
"credentialId": "42",
"name": "Acme c/o Pinnacle",
"advertiser": "Acme Corp",
"billingProxy": "Pinnacle Media",
"house": "acme-corp.com",
"billing": "advertiser"
}
],
"total": 8,
"synced": true,
"billingOptions": {
"default": "<string>",
"supported": [
"<string>"
]
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Unique identifier for the advertiser
1"12345"
Query Parameters
Storefront the source lives on. Pair with sourceId to identify the source whose accounts to list.
0 < x <= 900719925474099142
Inventory source within storefrontId whose accounts to list.
1"src_main"
When true, re-fetches accounts from the source before returning results. Defaults to true; pass false for a cached, read-only projection.
true
Billing arrangement type to filter accounts by (e.g. "advertiser", "operator", "agent"). Must be one of the values supported by this source. Defaults to the source's default billing type if omitted.
"advertiser"
ID of a specific registered credential to use for account discovery. Required when the customer has multiple credentials registered for this source. Use GET /storefronts/credentials to list registered credentials and their IDs.
"42"
Number of results to return (max 250)
0 < x <= 25050
Number of results to skip for pagination
0 <= x <= 90071992547409910
Response
List available accounts
Response containing a list of available accounts from a partner
List of available (discovered) accounts
Show child attributes
Show child attributes
Total count of available accounts
0 <= x <= 90071992547409918
True when no accounts matched and a sync_accounts call was automatically triggered to provision this account at the partner. The list reflects the post-sync state.
Billing options supported by this partner agent, as reported in its ADCP capabilities.
Show child attributes
Show child attributes